| Boost.Locale

Enumerations
boost::locale::flags Namespace Reference

This namespace holds additional formatting flags that can be set using ios_info. More...

## Enumerations
enum | display_flags_type { posix = 0 , number = 1 , currency = 2 , percent = 3 , date = 4 , time = 5 , datetime = 6 , strftime = 7 , spellout = 8 , ordinal = 9 , display_flags_mask = 31 , currency_default = 0 << 5 , currency_iso = 1 << 5 , currency_national = 2 << 5 , currency_flags_mask = 3 << 5 , time_default = 0 << 7 , time_short = 1 << 7 , time_medium = 2 << 7 , time_long = 3 << 7 , time_full = 4 << 7 , time_flags_mask = 7 << 7 , date_default = 0 << 10 , date_short = 1 << 10 , date_medium = 2 << 10 , date_long = 3 << 10 , date_full = 4 << 10 , date_flags_mask = 7 << 10 }
enum | pattern_type { datetime_pattern , time_zone_id }
| Special string patterns that can be used for text formatting. More...
enum | value_type { domain_id }
| Special integer values that can be used for formatting. More...

## Detailed Description

This namespace holds additional formatting flags that can be set using ios_info.

## Enumeration Type Documentation

## ◆ display_flags_type

enum boost::locale::flags::display_flags_type

Formatting flags, each one of them has corresponding manipulation in namespace as

## ◆ pattern_type

enum boost::locale::flags::pattern_type

Special string patterns that can be used for text formatting.

Enumerator
datetime_pattern | strftime like formatting
time_zone_id | time zone name

## ◆ value_type

enum boost::locale::flags::value_type

Special integer values that can be used for formatting.

Enumerator
domain_id | Domain code - for message formatting.

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.